package ch.ivyteam.demo;

import javax.persistence.EntityManager;

import simpleJpa.Person;
import simpleJpa.Phone;
import ch.ivyteam.ivy.environment.Ivy;
import ch.ivyteam.ivy.process.data.persistence.IIvyEntityManager;

public class PersonDao {

	public static void writeDemoFixture()
	{
		Person rew = new Person();
		rew.setFirstname("Reguel");
		rew.setLastname("Wermelinger");
		
		Phone work = new Phone();
		work.setNumber("079 123 456");
		work.setType("work");
		work.setPerson(rew);
		
		Phone home = new Phone();
		home.setNumber("041 123 455");
		home.setType("home");
		home.setPerson(rew);
		
		persist(work, home, rew);
	}
	
	private static void persist(Object... objects)
	{
		IIvyEntityManager ivyEntityManager = Ivy.persistence().get("memory");
		EntityManager em = ivyEntityManager.createEntityManager();
	    try{
	        em.getTransaction().begin();
	        for(Object obj : objects)
	        {
	        	em.persist(obj);
	        }
	        em.getTransaction().commit();
	    }
	    finally
	    {
	        em.close();
	    }
	}
	
	
}
